import { CompilerOptions, System } from "typescript";
/**
 * TypeScript library type definitions, including some internal methods.
 * Defines return types for some methods as some editors (intelliJ IDEA) struggles to resolve it itself.
 */
export declare type TypeScript = typeof import("typescript") & {
    sys: System;
};
export interface TsConfigJson {
    extends?: string;
    files?: string[];
    include?: string[];
    exclude?: string[];
    compilerOptions?: CompilerOptions;
}
export declare function findTsConfigFile(ts: TypeScript, currentDirectory: string, configName?: string): string;
export declare function readTsConfigFile(ts: TypeScript, configPath: string): TsConfigJson;
//# sourceMappingURL=ts-utils.d.ts.map